summaryrefslogtreecommitdiff
path: root/public/fs/etc/sysconfig
diff options
context:
space:
mode:
authorroot@culturestrings <root@culturestrings>2020-07-01 08:57:05 +0000
committerroot@culturestrings <root@culturestrings>2020-07-01 08:57:05 +0000
commit2caf08d5dd9d82087c16390a34e8ab169be75369 (patch)
tree93f726587321c6e03fd86f74088e57dbbc2a1292 /public/fs/etc/sysconfig
parent065c23e1561fad50c66c30447a4886d2727a47cf (diff)
downloadculturestrings-2caf08d5dd9d82087c16390a34e8ab169be75369.tar.bz2
culturestrings-2caf08d5dd9d82087c16390a34e8ab169be75369.tar.xz
networking: introduced $vpn_net4, $vpn_ipv5, $host_ipv4, $host_ipv6.
Diffstat (limited to 'public/fs/etc/sysconfig')
-rwxr-xr-xpublic/fs/etc/sysconfig/network/ifcfg-eth0-conf.sh12
-rw-r--r--public/fs/etc/sysconfig/network/ifcfg-eth0.in (renamed from public/fs/etc/sysconfig/network/ifcfg-eth0)2
2 files changed, 13 insertions, 1 deletions
diff --git a/public/fs/etc/sysconfig/network/ifcfg-eth0-conf.sh b/public/fs/etc/sysconfig/network/ifcfg-eth0-conf.sh
new file mode 100755
index 0000000..d116219
--- /dev/null
+++ b/public/fs/etc/sysconfig/network/ifcfg-eth0-conf.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -eu
+
+cfg_script="$0"
+cfg_srcdir=$(cd -- "${cfg_script%/*}/" ; pwd -P)
+
+source /root/config/private/config/server.ports
+
+sed -e 's/@host_ipv4@/'${host_ipv4}'/g' \
+ -e 's/@host_ipv6@/'${host_ipv6}'/g' \
+ "${cfg_srcdir}/ifcfg-eth0.in"
diff --git a/public/fs/etc/sysconfig/network/ifcfg-eth0 b/public/fs/etc/sysconfig/network/ifcfg-eth0.in
index c2fc421..8060f46 100644
--- a/public/fs/etc/sysconfig/network/ifcfg-eth0
+++ b/public/fs/etc/sysconfig/network/ifcfg-eth0.in
@@ -1,6 +1,6 @@
BOOTPROTO='dhcp'
STARTMODE='auto'
-IPADDR_0='2a01:4f9:2b:20f0::2/65'
+IPADDR_0='@host_ipv6@::2/65'
LABEL_0='ipv6'
NETMASK_0=''